OPENAPP(1)

NAME
openapp - launch applications from the command line

SYNOPSIS
openapp [--find] application [arguments...]

DESCRIPTION
The openapp command allows you launch graphical GNUstep applications from the command line.a

application is the complete or relative name of the application program with or without the .app extension, like Ink.app.

arguments are the arguments passed to the application.

openapp first checks whether the application is in the current working directory. If not then searches the GNUstep domains' Applications folders in the following order: User (i.e. ~/GNUstep/Applications), Local, Network, System. First match wins.

If application is given without extension (i.e. Ink instead of Ink.app), openapp searches for application.app , application.debug , application.profile (in that order).

If --find is used as first argument, openapp prints out the full path of the application executable which would be executed, without actually executing it as it would normally do.

OPTIONS

--find
    print complete path of the executable which would be launched.

--help
    print above usage description.

EXAMPLES
Start Ink.app without additional parameters:

openapp Ink.app

Launch Ink.app and pass it the --GNU-Debug argument:

openapp Ink.app --GNU-Debug=NSTextView

To determine which executable is launched by openapp, type:

openapp --find Ink.app

The output of the abovecommand might be something like: /usr/GNUstep/Local/Applications/Ink.app/Ink

BUGS
openapp does currently not handle library combos.

ENVIRONMENT

GNUSTEP_PATHLIST
    This variable contains the paths of the domains in which gopen tries to find applications to open the files with. Entries are separated by a colon.

Example:
    /home/foo/GNUstep:/usr/GNUstep/Local:/usr/GNUstep/Network:/usr/GNUstep/System

SEE ALSO
GNUstep(7), gopen(1)

HISTORY
Work on openapp started October 1997.

This manual page was first written July 2003.

AUTHORS
openapp was originally written by Ovidiu Predescu <ovidiu@net-community.com> and is now maintained by Nicola Pero <n.pero@mi.flashnet.it>.

This man page was written by Martin Brecher <martin@mb-itconsulting.com>.